<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ComponentCheckProgressActivity">

    <RelativeLayout
        android:background="@color/background"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:visibility="visible"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <TextView
                android:id="@+id/label_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="0dp"
                android:background="@color/title"
                android:padding="5dp"
                android:text="Check Progress"
                android:textAlignment="center"
                android:textAppearance="?android:attr/textAppearanceLarge"
                android:textSize="26dp"
                android:textStyle="bold" />


            <LinearLayout
                android:id="@+id/nav_bar"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/label_title"
                android:layout_marginTop="0dp"
                android:layout_marginBottom="0dp"
                android:orientation="horizontal"
                android:weightSum="1.0">

                <TextView
                    android:id="@+id/lbl_shift_code"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="0dp"
                    android:layout_weight=".35"
                    android:text="Shift code : "
                    android:textAlignment="textStart"
                    android:textAppearance="?android:attr/textAppearanceLarge"
                    android:textColor="#000"
                    android:textColorHint="#000"
                    android:textSize="16dp" />

            </LinearLayout>

            <RelativeLayout
                android:id="@+id/content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/nav_bar"
                android:layout_marginBottom="60dp"
                android:paddingLeft="5dp"
                android:paddingRight="5dp"
                android:paddingBottom="2dp"
                android:weightSum="1.0"
                tools:context=".CompletionActivity">

                <LinearLayout
                    android:id="@+id/content0"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="40dp"
                        android:padding="5dp"
                        android:text="MO No"
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <EditText
                        android:id="@+id/txt_mo_no"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:background="@color/silver"
                        android:enabled="false"
                        android:inputType="none"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textColor="@color/txt_color" />

                </LinearLayout>


                <LinearLayout
                    android:id="@+id/content1"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/content0"
                    android:layout_marginTop="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:height="40dp"
                        android:padding="5dp"
                        android:text="P.Item No"
                        android:textAlignment="textStart"
                        android:textAppearance="?android:attr/textAppearanceLarge"
                        android:textColor="@color/txt_color"
                        android:textSize="20dp" />

                    <EditText
                        android:id="@+id/txt_parent_item_no"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:background="@color/silver"
                        android:enabled="false"
                        android:inputType="none"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textColor="@color/txt_color" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content11"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/content1"
                    android:layout_marginTop="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <EditText
                        android:id="@+id/txt_parent_item_desc"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight="1"
                        android:background="@color/silver"
                        android:enabled="false"
                        android:inputType="none"
                        android:padding="5dp"
                        android:singleLine="true"
                        android:textColor="@color/txt_color" />

                </LinearLayout>

                <TableLayout
                    android:id="@+id/tbl_header_row"
                    android:layout_below="@+id/content11"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:background="@color/white"
                    android:stretchColumns="1">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:weightSum="1.0"
                        >
                        <TextView
                            android:text="Item No"
                            android:background="@color/blue_200"
                            android:textColor="@color/white"
                            android:layout_margin="1dp"
                            android:layout_width="0dip"
                            android:layout_weight=".22"
                            android:textAlignment="center"
                            android:textSize="9dp"
                            android:layout_height="28dp"/>
                        <TextView
                            android:text="Description"
                            android:background="@color/blue_200"
                            android:textColor="@color/white"
                            android:layout_margin="1dp"
                            android:layout_width="0dip"
                            android:layout_weight=".22"
                            android:textAlignment="center"
                            android:textSize="9dp"
                            android:layout_height="28dp"
                            />
                        <TextView
                            android:text="Demand Qty"
                            android:background="@color/blue_200"
                            android:textColor="@color/white"
                            android:layout_margin="1dp"
                            android:layout_width="0dip"
                            android:layout_weight=".13"
                            android:textAlignment="center"
                            android:textSize="9dp"
                            android:layout_height="28dp"
                            />
                        <TextView
                            android:text="Outstanding"
                            android:background="@color/blue_200"
                            android:textColor="@color/white"
                            android:layout_margin="1dp"
                            android:layout_width="0dip"
                            android:layout_weight=".13"
                            android:textAlignment="center"
                            android:textSize="9dp"
                            android:layout_height="28dp"
                            />
                        <TextView
                            android:text="UOM"
                            android:background="@color/blue_200"
                            android:textColor="@color/white"
                            android:layout_margin="1dp"
                            android:layout_width="0dip"
                            android:layout_weight=".11"
                            android:textAlignment="center"
                            android:textSize="9dp"
                            android:layout_height="28dp"
                            />
                        <TextView
                            android:text="Status"
                            android:background="@color/blue_200"
                            android:textColor="@color/white"
                            android:layout_margin="1dp"
                            android:layout_width="0dip"
                            android:layout_weight=".19"
                            android:textAlignment="center"
                            android:textSize="9dp"
                            android:layout_height="28dp"
                            />
                    </LinearLayout>


                </TableLayout>

                <ScrollView
                    android:id="@+id/scr_contents"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/tbl_header_row"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:layout_alignParentBottom="true"
                    android:gravity="top"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:scrollbars="none">

                    <TableLayout
                        android:id="@+id/tbl_child_items"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_below="@+id/tbl_header_row"
                        android:background="@color/white"
                        android:stretchColumns="1" />
                </ScrollView>

            </RelativeLayout>


            <LinearLayout
                xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/layout_button"
                android:layout_height="wrap_content"
                android:layout_width="fill_parent"
                android:layout_below="@+id/content"
                android:layout_marginTop="-60dp"
                android:layout_alignParentBottom="true"
                android:gravity="bottom"
                android:paddingBottom="10dp"
                android:orientation="horizontal"
                android:weightSum="1.0">
                <Button
                    android:id="@+id/btn_back"
                    android:layout_height="wrap_content"
                    android:layout_weight=".245"
                    android:layout_width="0dip"
                    android:layout_marginTop="0dp"
                    android:layout_marginStart="5dp"
                    android:padding="2dp"
                    android:background="@color/btn_background"
                    android:hint="Back [P1]"
                    android:textSize="14dp"
                    android:textColorHint="@color/state_color"
                    android:backgroundTint="@color/state_bgcolor" />
            </LinearLayout>

            <EditText
                android:id="@+id/txt_tmp"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_below="@id/layout_button"
                android:layout_marginTop="50dp"
                android:background="@color/white"
                android:textColor="@color/txt_color"
                android:inputType="none"
                android:visibility="visible"
                android:padding="5dp" />

        </RelativeLayout>


        <RelativeLayout
            android:visibility="invisible"
            android:id="@+id/popupLayout1"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingBottom="15dp"
            android:paddingLeft="5dp"
            android:paddingRight="5dp"
            android:paddingTop="100dp"
            android:weightSum="1.0">
            <RelativeLayout
                android:visibility="visible"
                android:background="@drawable/background_border"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="15dp"
                android:paddingLeft="25dp"
                android:paddingRight="25dp"
                android:paddingTop="5dp"
                android:weightSum="1.0">

                <TextView
                    android:id="@+id/popupLayout1_txt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Production has already ended."
                    android:layout_marginTop="15dp"
                    android:layout_marginBottom="5dp"
                    android:paddingLeft="30dp"
                    android:paddingRight="30dp"
                    android:textAlignment="center"
                    android:textColor="@color/red"
                    android:textSize="22dp"
                    />

                <Spinner
                    android:id="@+id/ddl_options"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/popupLayout1_txt"
                    android:layout_marginTop="5dp"
                    android:padding="5dp"
                    android:background="@android:drawable/btn_dropdown"
                    android:popupBackground="@color/white"
                    android:spinnerMode="dropdown"/>

                <LinearLayout
                    xmlns:android="http://schemas.android.com/apk/res/android"
                    android:layout_height="wrap_content"
                    android:layout_width="fill_parent"
                    android:layout_below="@+id/ddl_options"
                    android:padding="10dp"
                    android:gravity="bottom"
                    android:paddingBottom="10dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <Button
                        android:id="@+id/popupLayout1_btn1"
                        android:layout_height="wrap_content"
                        android:layout_width="0dip"
                        android:layout_weight=".5"
                        android:layout_marginTop="0dp"
                        android:layout_marginStart="5dp"
                        android:padding="2dp"
                        android:background="@color/btn_background"
                        android:backgroundTint="@color/btn_backgroundtint"
                        android:hint="Close [P1]"
                        android:textColorHint="@color/txt_color"
                        android:textSize="18dp"
                        android:textStyle="normal" />

                    <Button
                        android:id="@+id/popupLayout1_btn2"
                        android:layout_height="wrap_content"
                        android:layout_width="0dip"
                        android:layout_weight=".5"
                        android:layout_marginTop="0dp"
                        android:layout_marginStart="5dp"
                        android:padding="2dp"
                        android:background="@color/btn_background"
                        android:backgroundTint="@color/btn_backgroundtint"
                        android:hint="Confirm [P2]"
                        android:textColorHint="@color/txt_color"
                        android:textSize="18dp"
                        android:textStyle="normal" />
                </LinearLayout>



            </RelativeLayout>
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/popupLayout2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clickable="true"
            android:paddingLeft="5dp"
            android:paddingTop="150dp"
            android:paddingRight="5dp"
            android:paddingBottom="15dp"
            android:visibility="gone"
            android:weightSum="1.0">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/background_border"
                android:paddingLeft="5dp"
                android:paddingTop="5dp"
                android:paddingRight="5dp"
                android:paddingBottom="15dp"
                android:weightSum="1.0"
                tools:context=".CompletionActivity">

                <TextView
                    android:id="@+id/popupLayout2_txt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginBottom="5dp"
                    android:paddingLeft="30dp"
                    android:paddingRight="30dp"
                    android:text="Matched"
                    android:textAlignment="center"
                    android:textColor="@color/txt_color"
                    android:textSize="24dp" />

                <EditText
                    android:id="@+id/txt_leader_password"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="20dp"
                    android:layout_below="@+id/popupLayout2_txt"
                    android:padding="10dp"
                    android:background="@color/white"
                    android:textAlignment="center"
                    android:textColor="@color/black"
                    android:textColorHint="@color/gray_200"
                    android:textSize="22dp"
                    android:visibility="gone"
                    android:inputType="textPassword"
                    android:hint="Enter password or scan"/>

                <Button
                    android:id="@+id/popupLayout2_btn1"
                    android:layout_width="200dp"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/txt_leader_password"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="0dp"
                    android:background="@color/green"
                    android:hint="OK [ENT]"
                    android:padding="2dp"
                    android:textColorHint="@color/white"
                    android:textSize="21dp"
                    android:textStyle="normal" />

            </RelativeLayout>
        </RelativeLayout>


    </RelativeLayout>

</androidx.constraintlayout.widget.ConstraintLayout>